Bug 728718 - [abrt] kernel: [202930.983081] WARNING: at drivers/net/wireless/iwlwifi/iwl-core.c:1514 iwl_mac_remove_interface+0x98/0x128 [iwlcore](): TAINTED ---------W
Summary: [abrt] kernel: [202930.983081] WARNING: at drivers/net/wireless/iwlwifi/iwl-c...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e23dbf4e7d7cddc7ae9259b3a54...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-06 17:42 UTC by linux@alteeve.com
Modified: 2012-06-06 17:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 17:13:43 UTC


Attachments (Terms of Use)

Description linux@alteeve.com 2011-08-06 17:42:04 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=/dev/mapper/luks-286cefbd-2b66-4f46-a623-27c3e33cfea0 rd_LUKS_UUID=luks-286cefbd-2b66-4f46-a623-27c3e33cfea0 rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        Not sure, just appeared.
component:      kernel
kernel:         2.6.38.8-35.fc15.x86_64
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         [202930.983081] WARNING: at drivers/net/wireless/iwlwifi/iwl-core.c:1514 iwl_mac_remove_interface+0x98/0x128 [iwlcore]()
time:           Wed Aug  3 09:20:26 2011

backtrace:
:[202930.983081] WARNING: at drivers/net/wireless/iwlwifi/iwl-core.c:1514 iwl_mac_remove_interface+0x98/0x128 [iwlcore]()
:[202930.983085] Hardware name: 2801CTO
:[202930.983087] Modules linked in: tun tcp_lp fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc ppdev parport_pc lp parport hidp sunrpc drbd lru_cache cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm sco bnep l2cap ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables arc4 snd_hda_codec_conexant iwlagn snd_hda_intel iwlcore mac80211 snd_hda_codec snd_hwdep snd_seq snd_seq_device uvcvideo btusb bluetooth cfg80211 videodev snd_pcm v4l2_compat_ioctl32 microcode iTCO_wdt iTCO_vendor_support i2c_i801 joydev e1000e snd_timer snd_page_alloc wmi thinkpad_acpi rfkill snd soundcore virtio_net kvm_intel kvm ipv6 xts gf128mul pata_acpi dm_crypt ata_generic i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[202930.983162] Pid: 899, comm: NetworkManager Tainted: G        W   2.6.38.8-35.fc15.x86_64 #1
:[202930.983165] Call Trace:
:[202930.983171]  [<ffffffff8105511a>] warn_slowpath_common+0x83/0x9b
:[202930.983175]  [<ffffffff8105514c>] warn_slowpath_null+0x1a/0x1c
:[202930.983181]  [<ffffffffa03c1166>] iwl_mac_remove_interface+0x98/0x128 [iwlcore]
:[202930.983193]  [<ffffffffa0332dda>] drv_remove_interface+0x37/0x3c [mac80211]
:[202930.983203]  [<ffffffffa0334366>] ieee80211_do_stop+0x308/0x447 [mac80211]
:[202930.983208]  [<ffffffff813dea37>] ? dev_deactivate_many+0x107/0x159
:[202930.983217]  [<ffffffffa03344bf>] ieee80211_stop+0x1a/0x1e [mac80211]
:[202930.983222]  [<ffffffff813c7ac9>] __dev_close_many+0xb0/0xec
:[202930.983224]  [<ffffffff813c7b39>] __dev_close+0x34/0x49
:[202930.983229]  [<ffffffff814785c4>] ? _raw_spin_unlock_bh+0x15/0x17
:[202930.983232]  [<ffffffff813c94f9>] __dev_change_flags+0xaa/0x12d
:[202930.983235]  [<ffffffff813c95f6>] dev_change_flags+0x1f/0x54
:[202930.983244]  [<ffffffff813d37b3>] do_setlink+0x280/0x689
:[202930.983256]  [<ffffffffa00e06d8>] ? inet6_fill_link_af+0x1f/0x27 [ipv6]
:[202930.983261]  [<ffffffff81113304>] ? __kmalloc_node_track_caller+0x10f/0x12f
:[202930.983264]  [<ffffffff813d3e22>] rtnl_setlink+0xcd/0xed
:[202930.983268]  [<ffffffff81080b00>] ? ipi_call_lock+0x10/0x17
:[202930.983271]  [<ffffffff813d410d>] rtnetlink_rcv_msg+0x1ea/0x200
:[202930.983274]  [<ffffffff813d3f23>] ? rtnetlink_rcv_msg+0x0/0x200
:[202930.983277]  [<ffffffff813e7752>] netlink_rcv_skb+0x42/0x8d
:[202930.983280]  [<ffffffff813d3318>] rtnetlink_rcv+0x26/0x2d
:[202930.983283]  [<ffffffff813e7238>] netlink_unicast+0xec/0x156
:[202930.983285]  [<ffffffff813e7546>] netlink_sendmsg+0x2a4/0x2dc
:[202930.983289]  [<ffffffff813b69a8>] __sock_sendmsg+0x69/0x76
:[202930.983292]  [<ffffffff813b6b1f>] sock_sendmsg+0xa1/0xb6
:[202930.983296]  [<ffffffff8104127e>] ? should_resched+0xe/0x2d
:[202930.983299]  [<ffffffff8104127e>] ? should_resched+0xe/0x2d
:[202930.983302]  [<ffffffff81476e98>] ? _cond_resched+0xe/0x22
:[202930.983305]  [<ffffffff813bfca2>] ? copy_from_user+0x2f/0x31
:[202930.983308]  [<ffffffff813c008d>] ? verify_iovec+0x52/0xa5
:[202930.983311]  [<ffffffff813b7ee9>] sys_sendmsg+0x237/0x2b5
:[202930.983314]  [<ffffffff810d1e17>] ? __perf_event_task_sched_out+0x27/0x2c
:[202930.983318]  [<ffffffff81045cc2>] ? perf_event_task_sched_out+0x55/0x61
:[202930.983321]  [<ffffffff81042cca>] ? set_next_entity+0x46/0x99
:[202930.983324]  [<ffffffff81045d17>] ? finish_task_switch+0x49/0xb4
:[202930.983326]  [<ffffffff813b5efa>] ? fput_light+0x12/0x14
:[202930.983329]  [<ffffffff813b7fb8>] ? sys_recvmsg+0x51/0x60
:[202930.983333]  [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b

Comment 1 John W. Linville 2012-04-11 18:10:37 UTC
Can this be replicated with a recent kernel?


Note You need to log in before you can comment on or make changes to this bug.